Package io.vertx.rxjava3.pgclient

## Class PgBuilder

- java.lang.Object
- - io.vertx.rxjava3.pgclient.PgBuilder

- All Implemented Interfaces:
    `io.vertx.lang.rx.RxDelegate`

      public class PgBuilder
      extends Object
      implements io.vertx.lang.rx.RxDelegate

  Entry point for building PostgreSQL clients.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<PgBuilder>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PgBuilder​(PgBuilder delegate)` |
    `PgBuilder​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ClientBuilder<SqlClient>` | `client()` | Provide a builder for PostgreSQL client backed by a connection pool.
    `static SqlClient` | `client​(Handler<ClientBuilder<SqlClient>> handler)` | Build a client backed by a connection pool with the specified `block` argument.
    `boolean` | `equals​(Object o)` |
    `PgBuilder` | `getDelegate()` |
    `int` | `hashCode()` |
    `static PgBuilder` | `newInstance​(PgBuilder arg)` |
    `static ClientBuilder<Pool>` | `pool()` | Provide a builder for PostgreSQL pool of connections
    `static Pool` | `pool​(Handler<ClientBuilder<Pool>> block)` | Build a pool with the specified `block` argument.
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<PgBuilder> __TYPE_ARG

  - ### Constructor Detail

    - #### PgBuilder

          public PgBuilder​(PgBuilder delegate)

    - #### PgBuilder

          public PgBuilder​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public PgBuilder getDelegate()

      Specified by:
        `getDelegate` in interface `io.vertx.lang.rx.RxDelegate`

    - #### pool

          public static Pool pool​(Handler<ClientBuilder<Pool>> block)

      Build a pool with the specified `block` argument. The `block` argument is usually a lambda that configures the provided builder

      Example usage: `Pool pool = PgBuilder.pool(builder -> builder.connectingTo(connectOptions));`

      Parameters:
        `block` -
      Returns:
        the pool as configured by the code `block`

    - #### pool

          public static ClientBuilder<Pool> pool()

      Provide a builder for PostgreSQL pool of connections

      Example usage: `Pool pool = PgBuilder.pool().connectingTo(connectOptions).build()`

      Returns:

    - #### client

          public static SqlClient client​(Handler<ClientBuilder<SqlClient>> handler)

      Build a client backed by a connection pool with the specified `block` argument. The `block` argument is usually a lambda that configures the provided builder

      Example usage: `SqlClient client = PgBuilder.client(builder -> builder.connectingTo(connectOptions));`

      Parameters:
        `handler` -
      Returns:
        the client as configured by the code `block`

    - #### client

          public static ClientBuilder<SqlClient> client()

      Provide a builder for PostgreSQL client backed by a connection pool.

      Example usage: `SqlClient client = PgBuilder.client().connectingTo(connectOptions).build()`

      Returns:

    - #### newInstance

          public static PgBuilder newInstance​(PgBuilder arg)